<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EDepartmentEmployeeStatsMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EDepartmentEmployeeStats">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="departmentName" column="department_name" jdbcType="VARCHAR"/>
            <result property="domesticEmployees" column="domestic_employees" jdbcType="INTEGER"/>
            <result property="foreignEmployees" column="foreign_employees" jdbcType="INTEGER"/>
            <result property="maleRatio" column="male_ratio" jdbcType="VARCHAR"/>
            <result property="femaleRatio" column="female_ratio" jdbcType="VARCHAR"/>
            <result property="educationDistribution" column="education_distribution" jdbcType="VARCHAR"/>
            <result property="ageDistribution" column="age_distribution" jdbcType="VARCHAR"/>
            <result property="totalEmployees" column="total_employees" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,department_name,domestic_employees,
        foreign_employees,male_ratio,female_ratio,
        education_distribution,age_distribution,total_employees,
        create_time,update_time
    </sql>
</mapper>
